Skip to main content
POST
/
exchange
/
now
curl --request POST \ --url https://app.alphapo.net/api/v2/exchange/now \ --header 'Content-Type: application/json' \ --header 'X-Processing-Key: <api-key>' \ --header 'X-Processing-Signature: <x-processing-signature>' \ --data ' { "sender_currency": "BTC", "receiver_currency": "EUR", "sender_amount": "0.003", "foreign_id": "test_foreign_id_0319" } '
{ "data": { "sender_currency": "BTC", "sender_amount": "0.00300000", "receiver_currency": "EUR", "receiver_amount": "231.94279333", "fee_currency": "BTC", "fee_amount": "0.00015000", "price": "77314.26444333", "id": 134704200, "foreign_id": "test_foreign_id_0319", "type": "exchange", "status": "processing" } }

Documentation Index

Fetch the complete documentation index at: https://docs.alphapo.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Processing-Key
string
header
required

Your API key.

Headers

X-Processing-Signature
string
required

Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.

Body

application/json
sender_currency
string
required

Currency to exchange from. For a list of all available currencies, see API currency codes.

receiver_currency
string
required

Currency to exchange to. For a list of all available currencies, see API currency codes.

foreign_id
string
required

Unique exchange identifier in your system.

sender_amount
number

Amount to send. You must include either this parameter or receiver_amount.

receiver_amount
number

Amount to receive. You must include either this parameter or sender_amount.

Response

Created

data
object
Last modified on May 4, 2026